package com.ningdatech.pmapi.performance.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * 项目评价信息
 * @return
 * @author CMM
 * @since 2023/08/08 18:46
 */
@Data
public class ProjectAppraisalDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("评价项目ID")
    private Long appraisalProjectId;

    @ApiModelProperty("评价项目Code")
    private String appraisalProjectCode;

    @ApiModelProperty("评价计划ID")
    private Long appraisalId;

    @ApiModelProperty("项目模板指标详情评价信息集合")
    private List<ProjectAppraisalInfoDTO> appraisalInfoList;

    @ApiModelProperty("项目是否需要整改")
    private Boolean isRectify;

    @ApiModelProperty("整改意见")
    private String rectifyOpinion;

    @ApiModelProperty("评价项目所在分组ID")
    private Long groupId;
}
