package com.ningdatech.pmapi.performance.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 绩效评价-项目指标库
 * @return
 * @author CMM
 * @since 2023/07/28 14:45
 */
@Data
@ApiModel(value = "绩效评价项目指标库", description = "绩效评价项目指标库")
public class AppIndexVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("指标名称")
    private String indexName;

    @ApiModelProperty("指标所属模块")
    private String indexOwningModule;

    @ApiModelProperty("指标展示顺序")
    private Integer sort;

    @ApiModelProperty("展示形式(1 图标、2 文字、3 评分)")
    private Integer displayForm;

    @ApiModelProperty("指标类型(1 通用指标、2 辅助指标)")
    private Integer indexType;

    @ApiModelProperty("指标分值")
    private BigDecimal indexScore;

    @ApiModelProperty("是否展示")
    private Boolean isDisplay;

    @ApiModelProperty("创建时间")
    private LocalDateTime createOn;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateOn;

    @ApiModelProperty("创建人")
    private String updateBy;
}
