package com.ningdatech.pmapi.performance.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @Classname PerformanceAppraisal
 * @Description 绩效评价对象
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价对象", description = "绩效评价对象")
public class PerformanceAppraisalVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;
    private String createBy;
    private String updateBy;

    @ApiModelProperty("计划名称")
    private String name;

    @ApiModelProperty("评价目标 1项目 2应用 可多选 1,2")
    private String target;

    @ApiModelProperty("评价项目列表")
    private List<PerformanceAppraisalProjectVO> projects;

    @ApiModelProperty("评价应用列表")
    private List<PerformanceAppraisalApplicationVO> applications;

    @ApiModelProperty("项目分组信息")
    private List<PerformanceAppraisalProjectGroupVO> groups;

    @ApiModelProperty("终验后 xx 天开始自评")
    private Integer startSelfDays;

    @ApiModelProperty("xx 天需完成自评")
    private Integer completeSelfDays;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("复评分组ID")
    private Long reAppraisalGroupId;

    @ApiModelProperty("复评分组名称")
    private String reAppraisalGroupName;

    @ApiModelProperty("核查分组ID")
    private Long verifyGroupId;

    @ApiModelProperty("核查分组名称")
    private String verifyGroupName;

}
