package com.ningdatech.pmapi.performance.model.vo;

import com.ningdatech.pmapi.performance.model.entity.PerformanceAppraisalScoreInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Classname PerformanceIndicatorProjectTemplateDetail
 * @Description 绩效评价考核项目指标模板
 * @Date 2023/6/19 14:02
 * @Author PoffyZhang
 */
@Data
@ApiModel(value = "绩效评价考核项目指标模板详情保存树", description = "绩效评价考核项目指标模板详情保存树")
public class ProjectTemplateDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("关联模板ID")
    private Long templateId;

    @ApiModelProperty("指标ID")
    private Long indexId;

    @ApiModelProperty("指标名称")
    private String name;

    @ApiModelProperty("指标类型 1一级指标 2二级指标 3三级指标")
    private Integer type;

    @ApiModelProperty("父级指标id")
    private Long parentId;

    @ApiModelProperty("指标分值 3级指标才有")
    private BigDecimal indexScore;

    @ApiModelProperty("指标细则 3级指标才有")
    private String indexDetail;

    @ApiModelProperty("评分细则")
    private String gradeDetail;

    @ApiModelProperty("佐证材料描述")
    private String supportMaterial;

    @ApiModelProperty("是否为附加指标")
    private Boolean isAdditional;

    @ApiModelProperty("子指标")
    private List<ProjectTemplateDetailVO> children;

    @ApiModelProperty("自评分数信息")
    private List<PerformanceAppraisalScoreInfo> selfAppraisalScoreInfo;

    @ApiModelProperty("复评分数信息")
    private Map<String, List<PerformanceAppraisalScoreInfo>> reAppraisalScoreInfo;

    @ApiModelProperty("复评得分信息")
    private Map<String, BigDecimal> reAppraisalTotalScoreInfo;

    @ApiModelProperty("核查分数信息")
    private Map<String, List<PerformanceAppraisalScoreInfo>> verifyScoreInfo;

    @ApiModelProperty("核查得分信息")
    private Map<String, BigDecimal> verifyTotalScoreInfo;

}
